RagTimeSpreadsheetInternal::CellFormat Struct Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
RagTimeSpreadsheetInternal::CellFormat Struct Reference

Internal: cell number format of a RagTimeSpreadsheet (SpVa block) More...

## Public Member Functions
| CellFormat ()
| constructor
void | update (Cell &cell) const
| update the cell format if needed

## Public Attributes
MWAWCell::Format | m_numeric
| the numeric format
DateTime | m_dateTime
| the date/time format
MWAWCell::HorizontalAlignment | m_align
| the cell's alignment
int | m_rotation
| the rotation angle
int | m_flags
| some flags
std::string | m_extra
| extra data (for debugging)

## Friends
std::ostream & | operator<< (std::ostream &o, CellFormat const &form)
| operator<<

## Detailed Description

Internal: cell number format of a RagTimeSpreadsheet (SpVa block)

## Constructor & Destructor Documentation

## ◆ CellFormat()

RagTimeSpreadsheetInternal::CellFormat::CellFormat | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ update()

void RagTimeSpreadsheetInternal::CellFormat::update | ( | Cell & | cell | ) | const

update the cell format if needed

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | CellFormat const & | form )
| friend

operator<<

## Member Data Documentation

## ◆ m_align

MWAWCell::HorizontalAlignment RagTimeSpreadsheetInternal::CellFormat::m_align

the cell's alignment

Referenced by RagTimeSpreadsheet::readResource(), and update().

## ◆ m_dateTime

DateTime RagTimeSpreadsheetInternal::CellFormat::m_dateTime

the date/time format

Referenced by RagTimeSpreadsheet::readResource(), and update().

## ◆ m_extra

std::string RagTimeSpreadsheetInternal::CellFormat::m_extra

extra data (for debugging)

Referenced by RagTimeSpreadsheet::readResource().

## ◆ m_flags

int RagTimeSpreadsheetInternal::CellFormat::m_flags

some flags

Referenced by RagTimeSpreadsheet::readResource(), and update().

## ◆ m_numeric

MWAWCell::Format RagTimeSpreadsheetInternal::CellFormat::m_numeric

the numeric format

Referenced by RagTimeSpreadsheet::readResource(), and update().

## ◆ m_rotation

int RagTimeSpreadsheetInternal::CellFormat::m_rotation

the rotation angle

Referenced by RagTimeSpreadsheet::readResource(), and update().

The documentation for this struct was generated from the following file:

- RagTimeSpreadsheet.cxx